# Class TableFilterService

#### Implements

- FilterLike
- OnDestroy

- Defined in packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts:18

#####
Index

### Constructors

constructor

### Properties

change
current
reset$

### Methods

ngOnDestroy
remove
reset
set
setMap

##
Constructors

### constructor

- new TableFilterService(): TableFilterService

  #### Returns TableFilterService

  - Defined in packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts:36

##
Properties

### `Readonly` change

change: ReplaySubject<Record<string, any>> = ...

Implementation of FilterLike.change

- Defined in packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts:20

### current

current: Record<string, any> = {}

Implementation of FilterLike.current

- Defined in packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts:22

### `Readonly` reset$

reset$: Subject<void> = ...

- Defined in packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts:26

##
Methods

### ngOnDestroy

- ngOnDestroy(): void

  A callback method that performs custom clean-up, invoked immediately before a directive, pipe, or service instance is destroyed.

  #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts:69

### remove

- remove(key: string): void

  #### Parameters

  - key: string

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts:60

### reset

- reset(): void

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts:40

### set

- set(key: string, value: any): void

  #### Parameters

  - key: string
  - value: any

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts:54

### setMap

- setMap(map: Record<string, any>): void

  #### Parameters

  - map: Record<string, any>

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts:44